package com.ruoyi.web.controller.sensor;


import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.sensor.domain.PerceptionParams;
import com.ruoyi.sensor.service.ISensorDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/sensor/data")
public class OpenSensorDataController {

    @Autowired
    private ISensorDataService sensorDataService;

    @Anonymous
    @PostMapping("/judge")
    public void list(PerceptionParams perceptionParams) {
        sensorDataService.perceptionParamsHandler(perceptionParams);
    }
}
