package com.ruoyi.board.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.github.yulichang.base.MPJBaseServiceImpl;
import org.springframework.stereotype.Service;
import com.ruoyi.board.mapper.PresetContentMapper;
import com.ruoyi.board.domain.PresetContent;
import com.ruoyi.board.service.IPresetContentService;

@Service
public class PresetContentServiceImpl extends MPJBaseServiceImpl<PresetContentMapper, PresetContent> implements IPresetContentService {
    @Override
    public PresetContent getOneByContentAndBoardSize(String content, String boardSize, Integer type) {
        LambdaQueryWrapper<PresetContent> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper
                .eq(PresetContent::getContent, content)
                .eq(PresetContent::getBoardSize, boardSize)
                .eq(PresetContent::getInfoType, type);
        return getOne(queryWrapper);
    }
}
